Bug 243573 - Review Request: python-memcached - A Python memcached client library.
Review Request: python-memcached - A Python memcached client library.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ruben Kerkhof
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-09 19:16 EDT by jafo-redhat
Modified: 2013-11-13 07:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-15 16:35:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ruben: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description jafo-redhat 2007-06-09 19:16:20 EDT
Spec URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-memcached.spec
SRPM URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-memcached-1.36-1.fc7.src.rpm
Description: This software is a 100% Python interface to the memcached memory cache
daemon.  It is the client side software which allows storing values in one
or more, possibly remote, memcached servers.  Search google for memcached
for more information.
Comment 1 jafo-redhat 2007-06-10 00:17:32 EDT
I've pushed out a new version that includes the python-devel build requirement
(based on review of another package):

Spec URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-memcached.spec
SRPM URL:
ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-memcached-1.36-2.fc7.src.rpm
Comment 2 Ruben Kerkhof 2007-06-10 08:37:08 EDT
Source RPM:
W: python-memcached summary-ended-with-dot A Python memcached client library.
W: python-memcached invalid-license Python

* RPM name is OK
* Source python-memcached-1.36.tar.gz is the same as upstream
* Builds fine in mock
* File list looks OK

rpmlint of python-memcached:
E: python-memcached non-executable-script /usr/lib/python2.5/site-packages/memcache.py 0644
W: python-memcached summary-ended-with-dot A Python memcached client library.
W: python-memcached invalid-license Python

Valid licenses defined in the rpmlint checks are 'Python license' and 'Python Software Foundation 
License'
(/usr/share/rpmlint/TagsCheck.py)

- Why the BuildRequires on python-setuptools? It uses distutils.
- the PKG-INFO file in doc doesn't seem very useful to me.
Comment 3 Sean Reifschneider 2007-06-10 09:03:40 EDT
Changes made, thanks.  New version is:

Spec URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-memcached.spec
SRPM URL:
ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-memcached-1.36-3.fc7.src.rpm
Comment 4 Ruben Kerkhof 2007-06-10 10:54:45 EDT
Wow, that was fast :-)

I don't see any further blocker, so this package is approved.
Comment 5 Sean Reifschneider 2007-06-11 19:06:32 EDT
New Package CVS Request
=======================
Package Name: python-memcached
Short Description: A Python memcached client library.
Owners: jafo@tummy.com
Branches: F-7 EL-5
InitialCC: jafo@tummy.com
Comment 6 Kevin Fenzi 2007-06-11 19:33:28 EDT
cvs done.
Comment 7 Ruben Kerkhof 2007-06-26 14:44:50 EDT
Sean, you closed the ticket but you haven't imported python-memcached in cvs yet.
Do you need any help?
Comment 8 Sean Reifschneider 2007-06-26 22:55:58 EDT
Oops, thanks for catching that.  I must have gotten distracted and didn't get it
done.  I believe it's completed now, please let me know if you see any other
problems.

Thanks,
Sean
Comment 9 Pádraig Brady 2013-11-12 15:52:49 EST
Package Change Request
======================
Package Name: python-memcached
New Branches: el6
Owners: pbrady sgallagh
Comment 10 Gwyn Ciesla 2013-11-13 07:54:35 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.